# [Choice] Go version: 1, 1.16, 1.17
ARG VARIANT="1.17"
FROM mcr.microsoft.com/vscode/devcontainers/go:0-${VARIANT}

ENV GOPRIVATE="*.alm.poste.it"

RUN apt-get update && apt-get -y install kafkacat

# Installo il client NATS
RUN wget https://github.com/nats-io/natscli/releases/download/0.0.26/nats-0.0.26-amd64.deb && sudo dpkg -i nats-0.0.26-amd64.deb && rm nats-0.0.26-amd64.deb